Pages a technical audit check flagged, most important first, with each page's fix
curl --request GET \
--url https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages \
--header 'X-API-KEY: <api-key>'import requests
url = "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"url": "<string>",
"importance": 123,
"page_type": "<string>",
"dismissed": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"by": "<string>",
"at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"check_key": "site.schema.article",
"detail": {
"found": "<string>",
"fix": "<string>",
"examples": [
"<string>"
],
"suggested": {}
}
}
],
"meta": {
"page": 123,
"page_size": 123,
"total_items": 123,
"total_pages": 123,
"counts": {},
"filter": {
"topics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"count": 123,
"is_deleted": true
}
]
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Technical audit
Pages a technical audit check flagged, most important first, with each page's fix
GET
/
api
/
v2
/
brands
/
{brand_id}
/
technical_audit
/
checks
/
{check_key}
/
pages
Pages a technical audit check flagged, most important first, with each page's fix
curl --request GET \
--url https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages \
--header 'X-API-KEY: <api-key>'import requests
url = "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks/{check_key}/pages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"url": "<string>",
"importance": 123,
"page_type": "<string>",
"dismissed": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"by": "<string>",
"at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"check_key": "site.schema.article",
"detail": {
"found": "<string>",
"fix": "<string>",
"examples": [
"<string>"
],
"suggested": {}
}
}
],
"meta": {
"page": 123,
"page_size": 123,
"total_items": 123,
"total_pages": 123,
"counts": {},
"filter": {
"topics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"count": 123,
"is_deleted": true
}
]
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Query Parameters
true = only dismissed pages, false = only not dismissed; default all, not dismissed first:
truefalse
Available options:
true, false Default 25, max 100
Response
paginated affected pages
One page a check lists. detail is typed per check family, chosen by check_key.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
Show child attributes
Show child attributes
Show child attributes
Show child attributes

